unit InfoU;

interface

uses
  Windows, SysUtils, Controls, Forms, Registry, WinSock, Menus, ExtCtrls, StdCtrls, Classes;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    Edit4: TEdit;
    Label5: TLabel;
    Edit5: TEdit;
    Edit6: TEdit;
    Label6: TLabel;
    Memo1: TMemo;
    Bevel1: TBevel;
    procedure FormCreate(Sender: TObject);
end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
   lpBuffer : Array[0..20] of Char;
   Registro: TRegistry;
   Name, EndIP: String;
   WSAData: TWSAData;
   HostEnt: PHostEnt;
   MS: TMemoryStatus;
   Usuario: String;
   Achou: Boolean;
   nSize: dWord;
   Erro: dWord;
begin
  Registro:=TRegistry.Create;
  Registro.RootKey:=HKEY_LOCAL_MACHINE;
  Registro.OpenKey('System\CurrentControlSet\Services\VxD\VNETSUP',False);
  Edit1.Text:=Registro.ReadString('ComputerName');
  Edit2.Text:=Registro.ReadString('Workgroup');
  Edit3.Text:=Registro.ReadString('Comment');
  Registro.CloseKey;
  if Registro.OpenKey('Hardware\Description\System\CentralProcessor\0',False) then
    begin
      Edit6.Text:=Registro.ReadString('Identifier');
      Edit6.Text:='Fabricante: '+Registro.ReadString('VendorIdentifier')+'       Modelo: '+Edit6.Text;
    end;
  if Registro.OpenKey('Hardware\Description\System\CentralProcessor\1',False) then
    begin
      Edit6.Text:=Registro.ReadString('Identifier');
      Edit6.Text:='Fabricante: '+Registro.ReadString('VendorIdentifier')+'       Modelo: '+Edit6.Text;
    end;
  if Registro.OpenKey('Hardware\Description\System\CentralProcessor\2',False) then
    begin
      Edit6.Text:=Registro.ReadString('Identifier');
      Edit6.Text:='Fabricante: '+Registro.ReadString('VendorIdentifier')+'       Modelo: '+Edit6.Text;
    end;
  Registro.CloseKey;
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Monitor\0000',False) then Memo1.Lines[0]:='Monitor: '+Registro.ReadString('DriverDesc');
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Monitor\0001',False) then Memo1.Lines[0]:='Monitor: '+Registro.ReadString('DriverDesc');
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Monitor\0002',False) then Memo1.Lines[0]:='Monitor: '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Display\0000',False) then Memo1.Lines[1]:='Placa de Vdeo: '+Registro.ReadString('DriverDesc');
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Display\0001',False) then Memo1.Lines[1]:='Placa de Vdeo: '+Registro.ReadString('DriverDesc');
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Display\0002',False) then Memo1.Lines[1]:='Placa de Vdeo: '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  if Registro.OpenKey('Config\0000\Display\Settings',False) then Memo1.Lines[2]:='Resoluo: '+Registro.ReadString('Resolution')+' Pixels   '+Registro.ReadString('BitsPerPixel')+' Bits Color';
  if Registro.OpenKey('Config\0001\Display\Settings',False) then Memo1.Lines[2]:='Resoluo: '+Registro.ReadString('Resolution')+' Pixels   '+Registro.ReadString('BitsPerPixel')+' Bits Color';
  if Registro.OpenKey('Config\0002\Display\Settings',False) then Memo1.Lines[2]:='Resoluo: '+Registro.ReadString('Resolution')+' Pixels   '+Registro.ReadString('BitsPerPixel')+' Bits Color';
  Registro.CloseKey;
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\MEDIA\0000',False) then Memo1.Lines[3]:='Placa de Som: '+Registro.ReadString('DriverDesc');
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\MEDIA\0001',False) then Memo1.Lines[3]:='Placa de Som: '+Registro.ReadString('DriverDesc');
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\MEDIA\0002',False) then Memo1.Lines[3]:='Placa de Som: '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\MODEM\0000',False);
  Memo1.Lines[4]:='Placa de Modem: '+Registro.ReadString('DriverDesc')+'     Porta: '+Registro.ReadString('AttachedTo');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\MODEM\0001',False);
  Memo1.Lines[4]:=Memo1.Lines[4]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\MODEM\0002',False);
  Memo1.Lines[4]:=Memo1.Lines[4]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\MODEM\0003',False);
  Memo1.Lines[4]:=Memo1.Lines[4]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\MODEM\0004',False);
  Memo1.Lines[4]:=Memo1.Lines[4]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Net\0000',False);
  Memo1.Lines[5]:='Placa de Rede: '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Net\0001',False);
  Memo1.Lines[5]:=Memo1.Lines[5]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Net\0002',False);
  Memo1.Lines[5]:=Memo1.Lines[5]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Net\0003',False);
  Memo1.Lines[5]:=Memo1.Lines[5]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Net\0004',False);
  Memo1.Lines[5]:=Memo1.Lines[5]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Net\0005',False);
  Memo1.Lines[5]:=Memo1.Lines[5]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Mouse\0000',False) then Memo1.Lines[6]:='Mouse: '+Registro.ReadString('DriverDesc');
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Mouse\0001',False) then Memo1.Lines[6]:='Mouse: '+Registro.ReadString('DriverDesc');
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Mouse\0002',False) then Memo1.Lines[6]:='Mouse: '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Keyboard\0000',False) then Memo1.Lines[7]:='Teclado: '+Registro.ReadString('DriverDesc');
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Keyboard\0001',False) then Memo1.Lines[7]:='Teclado: '+Registro.ReadString('DriverDesc');
  if Registro.OpenKey('System\CurrentControlSet\Services\Class\Keyboard\0002',False) then Memo1.Lines[7]:='Teclado: '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Printer\0000',False);
  Memo1.Lines[8]:='Impressora: '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Printer\0001',False);
  Memo1.Lines[8]:=Memo1.Lines[8]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Printer\0002',False);
  Memo1.Lines[8]:=Memo1.Lines[8]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Printer\0003',False);
  Memo1.Lines[8]:=Memo1.Lines[8]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Printer\0004',False);
  Memo1.Lines[8]:=Memo1.Lines[8]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\Printer\0005',False);
  Memo1.Lines[8]:=Memo1.Lines[8]+'   '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\CDROM\0000',False);
  Memo1.Lines[9]:='CD: '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\CDROM\0001',False);
  Memo1.Lines[9]:=Memo1.Lines[9]+'  '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\CDROM\0002',False);
  Memo1.Lines[9]:=Memo1.Lines[9]+'  '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\CDROM\0003',False);
  Memo1.Lines[9]:=Memo1.Lines[9]+'  '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\CDROM\0004',False);
  Memo1.Lines[9]:=Memo1.Lines[9]+'  '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('System\CurrentControlSet\Services\Class\CDROM\0005',False);
  Memo1.Lines[9]:=Memo1.Lines[9]+'  '+Registro.ReadString('DriverDesc');
  Registro.CloseKey;
  Registro.OpenKey('Software\Microsoft\Windows\CurrentVersion',False);
  Memo1.Lines[11]:='Sistema Operacional: '+Registro.ReadString('ProductName')+Registro.ReadString('SubVersionNumber')+'      Verso: '+Registro.ReadString('VersionNumber');
  Registro.CloseKey;
  Registro.OpenKey('Software\Microsoft\Windows\CurrentVersion',False);
  Memo1.Lines[12]:='OEM Key: '+Registro.ReadString('ProductId')+'     CD Key: '+Registro.ReadString('ProductKey');
  Registro.CloseKey;
  Registro.OpenKey('Software\Microsoft\Windows\CurrentVersion',False);
  Memo1.Lines[13]:='Registroistrado para: '+Registro.ReadString('RegistroisteredOwner')+'     '+Registro.ReadString('RegistroisteredOrganization');
  Registro.CloseKey;
  Registro.OpenKey('Software\Microsoft\User information',False);
  Memo1.Lines[14]:='Office: '+Registro.ReadString('Application Name')+'     CD Key: '+Registro.ReadString('Product Identification');
  Registro.CloseKey;
  Registro.Free;
  nSize:=120;
  Achou:=GetUserName(lpBuffer,nSize);
  if Achou then
    begin
      Usuario:=lpBuffer;
      Edit4.Text:=Usuario;
    end
  else
    begin
      Erro :=GetLastError();
      Usuario :=IntToStr(Erro);
    end;
  WSAStartup(2,WSAData);
  SetLength(Name,255);
  Gethostname(PChar(Name),255);
  SetLength(Name,StrLen(PChar(Name)));
  HostEnt:=gethostbyname(PChar(Name));
  with HostEnt^ do EndIP:=Format('%d.%d.%d.%d',[Byte(h_addr^[0]),Byte(h_addr^[1]),Byte(h_addr^[2]),Byte(h_addr^[3])]);
  WSACleanup;
  Edit5.Text:=EndIP;
  Form1.Caption :='Data da BIOS: '+String(pchar(ptr($FFFF5)));
  MS.dwLength:=SizeOf(MS);
  GlobalMemoryStatus(MS);
  Memo1.Lines[10]:='Total de memria: '+IntToStr(MS.dwTotalPhys);
end;

end.
